Summary: Obtain the Country, Region, City, Latitude, and Longitude of any IP address
Summary(ko): Geoip 를 이용한 국가코드를 알아내는 오픈소스 C API
Name: GeoIP
Version: 1.6.9
Release: 4%{?dist}
Epoch: 100
License: Maxmind
URL: http://www.maxmind.com

Source0: http://www.maxmind.com/download/geoip/api/c/%{name}-%{version}.tar.gz
Source2: geoip-csvupdate
Source3: geoip-csv2bin
Source4: xt_geoip_build
Source10: geoip-csvupdate.1
Source11: geoip-csv2bin.1
Source12: xt_geoip_build.1
Source101: http://people.netfilter.org/peejix/geoip/tools/csv2bin-20041103.tar.gz
Patch100: csv2bin-annyung-country-count.patch
Patch101: csv2bin-annyung-commercial.patch
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: curl unzip gzip

%description
 Let MaxMind GeoIP tell you! Analyze your web logs to locate your clients,
geo-target banner ads, detect credit card fraud, auto-select country on
forms, prevent password sharing and abuse of service, and display native
language and currency

%description -l ko
GeoIP는 국가별로 할당 받은 IP를 데이터베이스화하여 사용자의 IP를 가지고
국가코드를 알수 있다.

%package devel
Summary: The development libraries and header files for GeoIP
Summary(ko): GeoIP 를 이용하기 위한 개발툴
Group: Development/Libraries
Requires: GeoIP = %{epoch}:%{version}-%{release}

%description devel
GeoIP development and library

%description devel -l ko
GeoIP 를 이용하여 개발하기 위한 라이브러리와 C 헤더 파일

%prep
%setup -q -a 101 -n %{name}-%{version}
%patch100 -p0
%patch101 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--sysconfdir=/etc/%{name} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \

%{__make} %{?_smp_mflags}

pushd csv2bin
%{__make}
popd

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -rf %{buildroot}/etc/%{name}

%{__mkdir_p} %{buildroot}%{_datadir}/GeoIP
install -m 644 data/GeoIP.dat %{buildroot}%{_datadir}/GeoIP/GeoIP-initial.dat
pushd %{buildroot}%{_datadir}/GeoIP
ln -sf GeoIP-initial.dat GeoIP.dat
popd

install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/
install -m 755 %{SOURCE3} %{buildroot}%{_bindir}/
install -m 755 %{SOURCE4} %{buildroot}%{_bindir}/

install -m 644 %{SOURCE10} %{buildroot}%{_mandir}/man1/
install -m 644 %{SOURCE11} %{buildroot}%{_mandir}/man1/
install -m 644 %{SOURCE12} %{buildroot}%{_mandir}/man1/

install -m755 csv2bin/csv2bin %{buildroot}%{_datadir}/GeoIP/

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
/usr/bin/geoip-csv2bin 1 &> /dev/null

%postun -p /sbin/ldconfig

%files
%defattr(0644,root,root)
%{_datadir}/GeoIP/GeoIP-initial.dat
%{_datadir}/GeoIP/GeoIP.dat
%ghost %{_datadir}/GeoIP/GeoLiteASNum.dat
%ghost %{_datadir}/GeoIP/GeoLiteCity.dat
%ghost %{_datadir}/GeoIP/GeoLiteCountry.dat
%attr(0755,root,root) %{_datadir}/GeoIP/csv2bin

%defattr(0755,root,root)
%{_bindir}/geoiplookup
%{_bindir}/geoiplookup6
%{_bindir}/geoip-csvupdate
%{_bindir}/geoip-csv2bin
%{_bindir}/xt_geoip_build
%{_libdir}/*.so.*

%defattr(0644,root,root)
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Mar  1 2017 JoungKyun.Kim <http://oops.org> 1:1.6.9-4%{?dist}
- fixed wrong recognized nation code with commercial geoip database

* Tue Feb 28 2017 JoungKyun.Kim <http://oops.org> 100:1.6.9-3%{?dist}
- fixed don't recognize VN,VU,WF,WS,YE,YT,ZA,ZM,ZW code in csv2bin

* Fri Jan 29 2016 JoungKyun.Kim <http://oops.org> 100:1.6.9-2%{?dist}
- add package dependency for unzip
- fixed only ipv6 data build for xt_geoip_table

* Sat Jan 23 2016 JoungKyun.Kim <http://oops.org> 100:1.6.9-1%{?dist}
- update 1.6.9
- add xt_geoip_build

* Thu Oct 23 2014 JoungKyun.Kim <http://oops.org> 100:1.6.2-1%{?dist}
- update 1.6.2

* Fri Jun  8 2012 JoungKyun.Kim <http://oops.org> 1:1.4.7-3%{?dist}
- fixed geoip-csvupdate
- add geoipupdate

* Thu Mar  8 2012 JoungKyun.Kim <http://oops.org> 1:1.4.8-2%{?dist}
- fixed wget dependency promblem. Changes with curl.

* Sat Jan  7 2012 JoungKyun.Kim <http://oops.org> 1:1.4.8-1%{?dist}
- update 1.4.8

